# Perforce scmInstances Create a new instance of Perforce SCM. url - URL in the format: <protocol>:<host>:<port>/<depot>,or else configured P4PORT will be taken a default url. userName/password - userName/password or else configured P4USER/P4PASSWD will be taken a default. branchSpec - branchSpec(<Depot>/<ProjectPath>) changeListNum/label - changeListNum/label Or leave blank to sync to the head revision. Endpoint: POST /scmInstances/Perforce Version: v1 Security: bearerAuth ## Query parameters: - `projectId` (integer, required) ID of the project Example: 1 ## Request fields (application/json): - `url` (string) url - `userName` (string) userName Example: "abc" - `password` (string) password Example: "abc" - `branchSpec` (string) branchSpec - `changeListNum` (string) changeListNum - `label` (string) label ## Response 201 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields